#=====================================================================
# $Revision: 1.5 $
# $Date: 2003/07/24 16:19:42 $
# $Author: jnieuwen $
#
# 2003  Jeroen C. van Nieuwenhuizen and Jasper O Waale
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the license, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#======================================================================

package warnisp ;
use strict ;
use Mail::Sender ;

#The message we send when it is just an attack. Not a worm.
sub message {
	my $local = shift ;
	my $host = shift ;
	my $count = shift ;
	my $line = shift ;
	my $messagefile = shift ;
	my $message ;
	if (defined $messagefile && open(FILE,$messagefile)) {
		while (<FILE>) {
			my $msgline = $_ ;
			$msgline =~ s/\$HOST\$/$host/g;
			$msgline =~ s/\$LOCAL\$/$local/g;
			$msgline =~ s/\$COUNT\$/$count/g;
			$msgline =~ s/\$LINE\$/$line/g;
			$message .= $msgline ;
		}
		return $message ;
	} 
	warn "No message file or ".$messagefile." does not exist.\n" ;
	return "";
}

# Sends a message using the localmailer.
# We can use the local mailer because almost
# always the address of the isp will exists.
# This function also sends a bcc to the sender
# (Thats you! So don't fool with the sender address).
sub send_message {
	my $to = shift ;
	my $from = shift ;
	my $subject = shift ;
	my $message = shift ;
	my $mailhost = shift ;
	my $bcc = shift ;
	my $cc = shift ;

	my $smtp = new Mail::Sender()  ;
	if (ref $smtp->MailMsg (
			{
				from => $from,
				to => $to,
				subject => $subject,
				smtp=> $mailhost,
				msg => $message,
				bcc => $bcc,
				cc => $cc
			}
			)
		) {
		return 1 ;
	} else {
		return 0 ;
	}
}

1;
